--- acceptor.lisp.orig	2011-03-14 10:06:02.000000000 -1000
+++ acceptor.lisp	2011-03-14 10:25:37.000000000 -1000
@@ -114,6 +114,11 @@
                   :accessor acceptor-listen-socket
                   :documentation "The socket listening for incoming
 connections.")
+   #-:lispworks
+   (socket-backlog :initform 50 ;; apache uses 512
+		   :accessor acceptor-socket-backlog
+		   :documentation "The socket backlog - how many
+waiting connections to allow")
    (acceptor-shutdown-p :initform nil
                         :accessor acceptor-shutdown-p
                         :documentation "A flag that makes the acceptor
@@ -135,13 +140,15 @@
                         :accessor acceptor-access-log-pathname
                         :documentation "Pathname of the access log
 file which contains one log entry per request handled in a format
-   similar to Apache's access.log.")
+similar to Apache's access.log.  The value T means log to *ERROR-OUTPUT*,
+and NIL means no logging.")
    (message-log-pathname :initarg :message-log-pathname
                          :accessor acceptor-message-log-pathname
                          :documentation "Pathname of the server error
 log file which is used to log informational,
-warning and error messages in a free-text
-format intended for human inspection")
+warning and error messages in a free-text format 
+intended for human inspection. The value T means 
+log to *ERROR-OUTPUT*, and NIL means no logging.")
    (error-template-directory :initarg :error-template-directory
                              :accessor acceptor-error-template-directory
                              :documentation "Directory pathname that
@@ -168,8 +175,8 @@
    :persistent-connections-p t
    :read-timeout *default-connection-timeout*
    :write-timeout *default-connection-timeout*
-   :access-log-pathname nil
-   :message-log-pathname nil
+   :access-log-pathname T   ;; T means *ERROR-OUTPUT*
+   :message-log-pathname T  ;; T means *ERROR-OUTPUT*
    :document-root (load-time-value (default-document-directory))
    :error-template-directory (load-time-value (default-document-directory "errors/")))
   (:documentation "To create a Hunchentoot webserver, you make an
@@ -455,6 +462,7 @@
                                    usocket:*wildcard-host*)
                                (acceptor-port acceptor)
                                :reuseaddress t
+			       :backlog (acceptor-socket-backlog acceptor)
                                :element-type '(unsigned-byte 8)))
   (values))
 
